OpenCart Türkiye AÇIK KAYNAK ÜCRETSİZ E-TİCARET YAZILIMI


28Eyl/11Kapalı

OpenCart 1.4.7 Modüllerini 1.4.8.x – 1.4.9.x Çevirmek


Kurduğum Modül Aktif Olmuyor

İndirdiğiniz modüller OpenCart 1.4.4 ve 1.4.7 arasındaki sürümler için yapılmışsa modülü yüklediğiniz aktif hale getiremezsiniz. Bunun nedeni 1.4.8 ile birlikte yönetici için yeni bir güvenlik sistemi(token/yanıltıcı) geliştirilmiş olmasıdır.

Bu sorundan kurtulmak için iki seçenek bulunmaktadır.

Ayarlardan token özelliğini iptal etme

Kurduğunuz modüller bu özelliği desteklemiyorsa bu modül için token(yanıltıcı) özelliğini devre dışı bırakabilirsiniz.

Bunu için Yönetim Panelinizde Sistem/Genel Ayarlar altındaki Sunucu sekmesine geçiniz ve en alta bulunan Bu sayfalarda yanıltıcıyı yoksay listesinden kurduğunuz modülü bulup işaretlemelisiniz. Alttaki resimi inceleyebilirsiniz.

Modül dosyalarında değişiklik yapmak

Bu yöntemde ile değişiklik yaparsanız üst tarafta yapılan ayarları yapmak zorunda kalmazsınız.

İndirdiğiniz modullerin admin\controller\module\moduladı.php klasöründeki .php uzantılı dosyalarda önce alttaki işlemi yapıp daha sonra anadizine atınız..

Değişikliği sadece ADMİN klasörünün içindeki dosyalarda yapınız. Çünkü katalog sayfasından bu özellik kullanılmamaktadır.

BUL

index.php?route

DEĞİŞTİR

index.php?token=' . $this->session->data['token'] . '&route

Bu değişiklikleri yaptıktan sonra modül ayarlarınızı yapabilir ve aktif hale getirebilirsiniz.

Ayrıca bu işlemi tersten uygulayarak 1.4.8.x ve 1.4.9.x modüllerini 1.4.7 versiyonuna da çevirebilirsiniz.

Konuyla ilgili sorularınızı forum sayfamızdaki konudan sorabilirsiniz.

http://forum.opencart-tr.com/thread-1234.html

Bu yazıyı beğendiniz mi?

Yazar yonetim

Yorumlar (0) Geri izlemeler (0)

Üzgünüz, yorum formu şu anda kapalı.

Geri izleme yok.